6/13/2007

Leopard 立志成為最好的 Ruby on Rails 開發平台

蘋果自從發現到 Ruby on Rails 使用者有一大部分都是使用 MAC 之後,開始在 OS 上面狂推猛推用力推 Ruby on Rails。到底蘋果支援到什麼程度呢?看看這一頁吧,未來的 OSX 10.5 Leopard 會直接 Boundle 進去 Ruby 1.8.6,Rails ,Mongrel,Capistrano 。


Scripting Bridge.

Mac OS X is now the ideal platform for all kinds of script-based development. Ruby 1.8.6 and Python 2.5 are both first-class languages for Mac development, thanks to Cocoa bridges, Xcode and Interface Builder support, DTrace monitoring, and Framework builds — plus AppleEvent bindings via the new Scripting Bridge. Leopard is also the premier platform for Ruby on Rails development, thanks to Rails, Mongrel, and Capistrano bundling.

聽起來真的很美好,蘋果擁有偉大的 TextMate Editor,跟完全 Native Bundling 的 Ruby on Rails 全套 Package,再加上漂亮的介面,讓我一定會乖乖的掏出錢來買 Leopard。唯一的問題就是,Leopard 到底何時出呢?

6 則留言:

hzhwang 提到...

WWDC不是寫十月嗎? o_o

winson 提到...

蘋果官方支援,我覺得沒差,不過至少代表蘋果的承諾。

官方版內建的UNIX套件版本通常落後一大截,而且沒有任何官方方式可以讓你升級(例如現在內建的Ruby),結果還是得download source回來compile。

最好的方式是走Fink或MacPort,雖不是官方,但至少是蘋果上兩大主流的套件(Fink走Debian路線,MacPort走BSD)。

所以,廢話這麼多的意思是要告訴你,不用等Leopard,現在就可以去買來用了,因為沒差。

thegiive 提到...

For hzhwang

蘋果已經食言過了,所以誰知道 leopard 何時出呢 :p

thegiive 提到...

For winson

其實有沒有 Native 支援真的有差
當初我被拐進 Ruby 界
也是因為朋友跟我介紹 Ruby 的時候
剛好我的 Tiger 有 Native Ruby
因為不用安裝就可以直接使用,所以我才想試試看 :p
結果一試就.....
什麼 PHP ,Perl,Java 都忘掉了 :p

ericsk 提到...

TextMate 也是要錢的...
不過我一試用 TextMate 之後, 一晃神就買了 licence XD

希望在 Leopard 上的 TextMate 2.0 會處理好 CJKV 字型寬度的問題 :Q

winson 提到...

Bundle當然是很好,起碼out-of-the-box就可以跑。

但開發人員更關心的是版本更新。Apple底下那些UNIX軟體,除非跟系統安全有關,他才會不定期更新,例如Apache,其餘的跟孤兒一樣。

還好Ruby有Gem,需要更新的就是Ruby本身啦,